controllerApp.controller('dailymotionController', function($scope, userdataService) {
	//------
	$scope.userdata = userdataService.userdata;	
	$scope.dailymotion = {};
	$scope.dailymotion.update = false;
	$scope.dailymotion.style = {
		"display":"inline-block",
		"width":$scope.userdata.height*(170/512)+"px", // 170/512 is aspect ratio of arrows.svg
		"height":$scope.userdata.height+"px",
		"margin-left":"0px",
		"margin-right":"20px",
		"background-image":"url('styles/images/dailymotion.svg')",
		"background-repeat":"no-repeat",
		"background-position":"center",
		"background-size":"cover"
	};
	//------
	$scope.OnMove = function(event) {
		if ($scope.dailymotion.update == true) {	
			$scope.userdata.dailymotion.slidervalue = event.offsetY - ($scope.userdata.height/2);
			speed = $scope.userdata.dailymotion.slidervalue / ($scope.userdata.height/2);
			
			if (Math.abs(speed) > $scope.userdata.dailymotion.stoparea) {
				speed = Math.floor(speed*$scope.userdata.dailymotion.maxtimestep*-1); //*-1 to flip so up = zoom in
				sendEvent("time.set annualmotion=false interpolation=instant");
				sendEvent("system.setsimulatedtimevelocity " + speed);
			}
			else {
				sendEvent("system.setsimulatedtimevelocity 0");
			}
		}
	};
	//------
	$scope.OnDown = function(event) {
		$scope.dailymotion.update = true;
	};
	//------
	$scope.OnUp = function(event) {
		$scope.dailymotion.update = false;
	};
	//------
	$scope.$watch('userdata.simstop.stopped', function(newval, oldval) {		
		if (newval == true) {
			$scope.userdata.dailymotion.slidervalue = 0;			
		}
	});
	//------
	$scope.$watch('userdata.annualmotion.slidervalue', function(newval, oldval) {		
		if (newval != 0) {
			$scope.userdata.dailymotion.slidervalue = 0;
		}
	});
});
	