controllerApp.controller('orbitrotController', function($scope, userdataService) {
	//------
	$scope.userdata = userdataService.userdata;
	$scope.orbitrot = {};
	$scope.orbitrot.update = false;	
	$scope.orbitrot.style = {
		"display": "inline-block",
		"width":$scope.userdata.height+"px",
		"height":$scope.userdata.height+"px",
		"margin-left":"0px",
		"margin-right":"20px",
		"background-image":"url('styles/images/circle.svg')",
		"background-repeat":"no-repeat",
		"background-position":"center",
		"background-size":"cover"
	};	
	//------
	$scope.OnMove = function(event) {
		if ($scope.orbitrot.update == true) {

			radius = $scope.userdata.height / 2;
			length = Math.sqrt(Math.pow((event.offsetX - radius),2) + Math.pow((event.offsetY - radius),2));
				
			if (length < radius * 0.9) {
				$scope.userdata.orbitrot.rotX = event.offsetX;
				$scope.userdata.orbitrot.rotY = event.offsetY;

				//No rotation if ptr is within the centermost 20%
				if (length > radius * $scope.userdata.orbitrot.stoparea) {
					rotX = ((event.offsetX - radius) / radius) * $scope.userdata.orbitrot.maxrot;
					rotY = ((event.offsetY - radius) / radius) * $scope.userdata.orbitrot.maxrot;
					sendEvent("camera.rotate " + rotX + " " + rotY + " 0.0 0.0");
				}
				else {
					sendEvent("camera.rotate 0.0 0.0 0.0");
				}
			}
		}
	}
	//------
	$scope.OnDown = function(event) {
		$scope.orbitrot.update = true;
	}
	//------
	$scope.OnUp = function(event) {
		$scope.orbitrot.update = false;
	}
	//------
	$scope.$watch('userdata.orbitstop.stopped', function(newval, oldval) {		
		if (newval == true) {
			$scope.userdata.orbitrot.rotX = $scope.userdata.height/2;
			$scope.userdata.orbitrot.rotY = $scope.userdata.height/2;
		}
	});
});


	