controllerApp.controller('orbitstopController', function($scope, userdataService) {
	//------
	$scope.userdata = userdataService.userdata;
	$scope.orbitstop = {};
	$scope.orbitstop.style = {
		"display":"inline-block",
		"width":$scope.userdata.height*(170/512)+"px", // 170/512 is aspect ratio of stop.svg
		"height":$scope.userdata.height+"px",
		"margin-left":"0px",
		"margin-right":"20px",
		"background-image":"url('styles/images/stop.svg')",
		"background-repeat":"no-repeat",
		"background-position":"center",
		"background-size":"cover"
	};	
	$scope.orbitstop.color = "gray";
	//------
	$scope.OnClick = function(event) {
		$scope.userdata.orbitstop.stopped = true;
		$scope.orbitstop.color = "gray";
		console.log("stopController: onclick() triggered");
		sendEvent("camera.noinput");
	}
	//------
	$scope.$watch('userdata.orbitzoom.value', function(newval, oldval) {		
		if (newval != 0) {
			$scope.userdata.orbitstop.stopped = false;	
			$scope.orbitstop.color = "firebrick";
			console.log("stopController: watched zoom.value change to nonzero");
		}
	});
	//------
	$scope.$watch('userdata.orbitrot.rotX', function(newval, oldval) {		
		if (newval != $scope.userdata.height/2) {
			$scope.userdata.orbitstop.stopped = false;
			$scope.orbitstop.color = "firebrick";
			console.log("stopController: watched orbitrot.rotX change to nonzero");

		}
	});
	//------
	$scope.$watch('userdata.orbitrot.rotY', function(newval, oldval) {		
		if (newval != $scope.userdata.height/2) {
			$scope.userdata.orbitstop.stopped = false;
			$scope.orbitstop.color = "firebrick";
			console.log("stopController: watched orbitrot.rotY change to nonzero");
		}
	});
});
	