controllerApp.controller('orbitzoomController', function($scope, userdataService) {
	//------
	$scope.userdata = userdataService.userdata;		
	$scope.orbitzoom = {};
	$scope.orbitzoom.update = false;
	$scope.orbitzoom.style = {
		"display":"inline-block",
		"width":$scope.userdata.height*(170/512)+"px", // 170/512 is aspect ratio of arrows.svg
		"height":$scope.userdata.height+"px",
		"margin-left":"0px",
		"margin-right":"20px",
		"background-image":"url('styles/images/arrows.svg')",
		"background-repeat":"no-repeat",
		"background-position":"center",
		"background-size":"cover"
	};
	//------
	$scope.OnMove = function(event) {
		if ($scope.orbitzoom.update == true) {	
			$scope.userdata.orbitzoom.value = event.offsetY - ($scope.userdata.height/2);
			speed = $scope.userdata.orbitzoom.value / ($scope.userdata.height/2);
			
			if (Math.abs(speed) > $scope.userdata.orbitzoom.stoparea) {
				speed = speed*$scope.userdata.orbitzoom.maxzoom*-1; //*-1 to flip so up = zoom in
				sendEvent("camera.translate 0.0 " + speed + " 0.0");
			}
			else {
				sendEvent("camera.translate 0.0 0.0 0.0");
			}
		}
	}
	//------
	$scope.OnDown = function(event) {
		$scope.orbitzoom.update = true;
	}
	//------
	$scope.OnUp = function(event) {
		$scope.orbitzoom.update = false;
	}
	//------
	$scope.$watch('userdata.orbitstop.stopped', function(newval, oldval) {		
		if (newval == true) {
			$scope.userdata.orbitzoom.value = 0;	
		}
	});
});
	