controllerApp.service('userdataService', function() {
	
	return {userdata: {
		tabs: {
			prev: 0,
			curr: 0,
			skymodeEvent: "camera.jumpto namedlocation application/data/Surface%20Locations/Capital%20Cities/Europe/Stockholm.surfacelocation; system.timed 1 camera.targetmode sky 0; flight.stop",
			orbitmodeEvent: "camera.targetmode center; flight.stop"
		},
		height: 256,
		window: {			
			height: 0,
			width: 0
		},
		orbitzoom: {
			maxzoom: 0.7,
			stoparea: 0.15,
			value: 0
		},
		orbitstop: {
			stopped: true
		},
		orbitrot: {
			rotX: 128,
			rotY: 128,
			stoparea: 0.15,
			maxrot: 0.3
		},
		dailymotion: {
			slidervalue: 0,
			maxtimestep: 2400,
			stoparea: 0.15
		},
		annualmotion: {
			slidervalue: 0,
			maxtimestep: 1500000,
			stoparea: 0.15
		},
		simstop: {
			stopped: true
		},
		markers: [
			{
				name: "Cardinal Points",
				object: "CardinalPoint"
			},
			{
				name: "Ecliptic",
				object: "EclipticLine"
			},
			{
				name: "Equatorial",
				object: "EquatorialLine"
			},
			{
				name: "Local Meridian",
				object: "LocMeridian"
			},
			{
				name: "Pole Point",
				object: "PolePoint"
			},
			{
				name: "Zenith Point",
				object: "ZenithPoint"
			},
			{
				name: "Alt Azm Grid",
				object: "AltAzmGrid"
			},
			{
				name: "Panorama",
				object: "Landscape"
			}
		],
		constellations: {
			filter: {
				name: "",
				object: "",
				tag: "common"
			
			},
			constellations: [
				{
					name: "Andromeda",
					object: "Andromeda",
					tag: "fall"
				},
				{
					name: "Antila",
					object: "Antila",
					tag: ""
				},
				{
					name: "Apus",
					object: "Apus",
					tag: ""
				},
				{
					name: "Aquarius",
					object: "Aquarius",
					tag: "summer zodiac"
				},
				{
					name: "Aquila",
					object: "Aquila",
					tag: "summer"
				},
				{
					name: "Ara",
					object: "Ara",
					tag: ""
				},
				{
					name: "Aries",
					object: "Aries",
					tag: "fall zodiac"
				},
				{
					name: "Auriga",
					object: "Auriga",
					tag: "fall winter"
				},
				{
					name: "Bootes",
					object: "Bootes",
					tag: "spring common"
				},
				{
					name: "Caelum",
					object: "Caelum",
					tag: ""
				},
				{
					name: "Camelopardalis",
					object: "Camelopardalis",
					tag: "fall"
				},
				{
					name: "Cancer",
					object: "Cancer",
					tag: "zodiac"
				},
				{
					name: "CanesVenatici",
					object: "CanesVenatici",
					tag: "spring"
				},
				{
					name: "CanisMajor",
					object: "CanisMajor",
					tag: "winter"
				},
				{
					name: "CanisMinor",
					object: "CanisMinor",
					tag: "winter"
				},
				{
					name: "Capricornus",
					object: "Capricornus",
					tag: "summer zodiac"
				},
				{
					name: "Carina",
					object: "Carina",
					tag: ""
				},
				{
					name: "Cassiopeia",
					object: "Cassiopeia",
					tag: "fall common"
				},
				{
					name: "Centaurus",
					object: "Centaurus",
					tag: ""
				},
				{
					name: "Cepheus",
					object: "Cepheus",
					tag: "summer"
				},
				{
					name: "Cetus",
					object: "Cetus",
					tag: "fall"
				},
				{
					name: "Chamaeleon",
					object: "Chamaeleon",
					tag: ""
				},
				{
					name: "Circinus",
					object: "Circinus",
					tag: ""
				},
				{
					name: "Columba",
					object: "Columba",
					tag: ""
				},
				{
					name: "ComaBerenices",
					object: "ComaBerenices",
					tag: "spring"
				},
				{
					name: "CoronaAustralis",
					object: "CoronaAustralis",
					tag: "summer"
				},
				{
					name: "CoronaBorealis",
					object: "CoronaBorealis",
					tag: "summer"
				},
				{
					name: "Corvus",
					object: "Corvus",
					tag: "spring"
				},
				{
					name: "Crater",
					object: "Crater",
					tag: ""
				},
				{
					name: "Crux",
					object: "Crux",
					tag: ""
				},
				{
					name: "Cygnus",
					object: "Cygnus",
					tag: "summer common"
				},
				{
					name: "Delphinus",
					object: "Delphinus",
					tag: "summer"
				},
				{
					name: "Dorado",
					object: "Dorado",
					tag: ""
				},
				{
					name: "Draco",
					object: "Draco",
					tag: "spring"
				},
				{
					name: "Equuleus",
					object: "Equuleus",
					tag: "summer"
				},
				{
					name: "Eridanus",
					object: "Eridanus",
					tag: "fall"
				},
				{
					name: "Fornax",
					object: "Fornax",
					tag: ""
				},
				{
					name: "Gemini",
					object: "Gemini",
					tag: "winter zodiac common"
				},
				{
					name: "Grus",
					object: "Grus",
					tag: ""
				},
				{
					name: "Hercules",
					object: "Hercules",
					tag: "spring"
				},
				{
					name: "Horologium",
					object: "Horologium",
					tag: ""
				},
				{
					name: "Hydra",
					object: "Hydra",
					tag: ""
				},
				{
					name: "Hydrus",
					object: "Hydrus",
					tag: ""
				},
				{
					name: "Indus",
					object: "Indus",
					tag: ""
				},
				{
					name: "Lacerta",
					object: "Lacerta",
					tag: "summer"
				},
				{
					name: "Leo",
					object: "Leo",
					tag: "zodiac"
				},
				{
					name: "LeoMinor",
					object: "LeoMinor",
					tag: ""
				},
				{
					name: "Lepus",
					object: "Lepus",
					tag: "fall"
				},
				{
					name: "Libra",
					object: "Libra",
					tag: "spring zodiac"
				},
				{
					name: "Lupus",
					object: "Lupus",
					tag: "spring"
				},
				{
					name: "Lynx",
					object: "Lynx",
					tag: ""
				},
				{
					name: "Lyra",
					object: "Lyra",
					tag: "summer"
				},
				{
					name: "Mensa",
					object: "Mensa",
					tag: ""
				},
				{
					name: "Microscopium",
					object: "Microscopium",
					tag: ""
				},
				{
					name: "Monoceros",
					object: "Monoceros",
					tag: ""
				},
				{
					name: "Musca",
					object: "Musca",
					tag: ""
				},
				{
					name: "Norma",
					object: "Norma",
					tag: ""
				},
				{
					name: "Octans",
					object: "Octans",
					tag: ""
				},
				{
					name: "Ophiuchus",
					object: "Ophiuchus",
					tag: "spring"
				},
				{
					name: "Orion",
					object: "Orion",
					tag: "winter common"
				},
				{
					name: "Pavo",
					object: "Pavo",
					tag: ""
				},
				{
					name: "Pegasus",
					object: "Pegasus",
					tag: "summer"
				},
				{
					name: "Perseus",
					object: "Perseus",
					tag: "fall"
				},
				{
					name: "Phoenix",
					object: "Phoenix",
					tag: ""
				},
				{
					name: "Pictor",
					object: "Pictor",
					tag: ""
				},
				{
					name: "Pisces",
					object: "Pisces",
					tag: "fall zodiac"
				},
				{
					name: "PiscisAustrinus",
					object: "PiscisAustrinus",
					tag: "summer"
				},
				{
					name: "Puppis",
					object: "Puppis",
					tag: ""
				},
				{
					name: "Pyxis",
					object: "Pyxis",
					tag: ""
				},
				{
					name: "Reticulum",
					object: "Reticulum",
					tag: ""
				},
				{
					name: "Sagitta",
					object: "Sagitta",
					tag: "summer"
				},
				{
					name: "Sagittarius",
					object: "Sagittarius",
					tag: "summer zodiac"
				},
				{
					name: "Scorpius",
					object: "Scorpius",
					tag: "spring zodiac"
				},
				{
					name: "Sculptor",
					object: "Sculptor",
					tag: "fall"
				},
				{
					name: "Scutum",
					object: "Scutum",
					tag: "summer"
				},
				{
					name: "SerpensCaput",
					object: "SerpensCapus",
					tag: "spring"
				},
				{
					name: "SerpensCauda",
					object: "SerpensCauda",
					tag: "spring"
				},
				{
					name: "Sextans",
					object: "Sextans",
					tag: ""
				},
				{
					name: "Taurus",
					object: "Taurus",
					tag: "fall winter zodiac common"
				},
				{
					name: "Telescopium",
					object: "Telescopium",
					tag: ""
				},
				{
					name: "Triangulum",
					object: "Triangulum",
					tag: "fall"
				},
				{
					name: "Tri. Australe",
					object: "TriangulumAustrale",
					tag: ""
				},
				{
					name: "Tucana",
					object: "Tucana",
					tag: ""
				},
				{
					name: "UrsaMajor",
					object: "UrsaMajor",
					tag: "spring"
				},
				{
					name: "UrsaMinor",
					object: "UrsaMinor",
					tag: "spring"
				},
				{
					name: "Vela",
					object: "Vela",
					tag: ""
				},
				{
					name: "Virgo",
					object: "Virgo",
					tag: "spring zodiac"
				},
				{
					name: "Volans",
					object: "Volans",
					tag: ""
				},
				{
					name: "Vulpecula",
					object: "Vulpecula",
					tag: "summer"
				},
				{
					name: "Big Dipper",
					object: "BigDipper",
					tag: "common"
				},
				{
					name: "BD-Polaris",
					object: "BigDipper_Polaris",
					tag: "common"
				},
				{
					name: "C-Polaris",
					object: "Cassiopeia_Polaris",
					tag: ""
				},
				{
					name: "Little Dipper",
					object: "LittleDipper",
					tag: ""
				},
				{
					name: "Summer Triangle",
					object: "SummerTriangle",
					tag: "summer"
				},
				{
					name: "Winter Triangle",
					object: "WinterTriangle",
					tag: ""
				},
				{
					name: "Spring Curve",
					object: "SpringCurve",
					tag: ""
				},
				{
					name: "Spring Triangle",
					object: "SpringTriangle",
					tag: ""
				},
				{
					name: "Spring Diamond",
					object: "SpringDiamond",
					tag: ""
				},
				{
					name: "Northern Cross",
					object: "NorthernCross",
					tag: "summer"
				},
				{
					name: "Leonine Sickle",
					object: "LeonineSickle",
					tag: "asterism spring"
				},
				{
					name: "Southern Dipper",
					object: "SouthernDipper",
					tag: ""
				},
				{
					name: "Teapot",
					object: "Teapot",
					tag: "summer"
				},
				{
					name: "Southern Cross",
					object: "SouthernCross",
					tag: ""
				},
				{
					name: "Fake Cross",
					object: "FakeCross",
					tag: ""
				},
				{
					name: "Diamond Cross",
					object: "DiamondCross",
					tag: ""
				},
				{
					name: "Fall Rectangle",
					object: "FallRectangle",
					tag: ""
				},
				{
					name: "Winter Diamond",
					object: "WinterDiamond",
					tag: ""
				},
				{
					name: "Fall Curve",
					object: "FallCurve",
					tag: ""
				},
				{
					name: "Orion Tristar",
					object: "OrionTristar",
					tag: "winter spring"
				},
				{
					name: "Fall Triangle",
					object: "FallTriangle",
					tag: ""
				}
			]
		},
		datasets: {
			filter: {
				name: "",
				object: "",
				tag: "common"
			},
			datasets: [
				{
					name: "Magnetosphere",
					object: "Magneto",
					tag: "Earth common"
				},
				{
					name: "ISS",
					object: "ISS",
					tag: "satellites common"
				},
				{
					name: "Earth Satellites",
					object: "100Brightest",
					tag: "satellites"
				},
				{
					name: "Voyager 1 and 2",
					object: "voyagers",
					tag: "satellites"
				},
				{
					name: "Pioneer 10 and 11",
					object: "pioneers",
					tag: "satellites"
				},
				{
					name: "Asteroid Belt",
					object: "mpcorb_00",
					tag: "solarsystem common"
				},
				{
					name: "Kuiper Belt",
					object: "KuiperBelt",
					tag: "solarsystem common"
				},
				{
					name: "Oortcloud Grid",
					object: "oort",
					tag: "solarsystem common"
				},
				{
					name: "Oortcloud Particles",
					object: "OortCloud",
					tag: "solarsystem"
				},
				{
					name: "All Constellations",
					object: "constellations",
					tag: "milkyway common"
				},
				{
					name: "Exoplanets",
					object: "Exoplanets",
					tag: "milkyway common"
				},
				{
					name: "Open Clusters",
					object: "OpenClusters",
					tag: "milkyway"
				},
				{
					name: "OB Associations",
					object: "ob",
					tag: "milkyway"
				},
				{
					name: "Globular Clusters",
					object: "GlobularClusters",
					tag: "milkyway"
				},
				{
					name: "Radiosphere",
					object: "radec",
					tag: "milkyway common"
				},
				{
					name: "Density Contours",
					object: "iso50k",
					tag: "extragalactic"
				}				
			]
		},
		shows: [
			{
                // Note that the fdv and accompanying video must be present in the user folder
				name: "Back to the Moon",
				description: "The challenge to get back to the moon - for good",
				path: "owos.fdv"
			}
		]
	}};
});
